import numpy as np
from sklearn.datasets import fetch_california_housing
from sklearn.model_selection import train_test_split

# load dataset
X, y = fetch_california_housing(return_X_y=True)
# discard most of the data to reduce computation time
X, _, y, _test = train_test_split(X, y, test_size=0.9, random_state=42)

# perform preprocessing
# YOUR CODE BELOW

# train/test split
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.2, random_state=42)
